Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

A notepad app written with Node

tree: 929f5642ca

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 public
Octocat-spinner-32 test Added user registration and login December 06, 2010
Octocat-spinner-32 views
Octocat-spinner-32 .gitignore Part 1 November 08, 2010
Octocat-spinner-32 README.textile
Octocat-spinner-32 app.js
Octocat-spinner-32 models.js
Octocat-spinner-32 package.json
README.textile

Nodepad

This is a Node notepad, written for a tutorial series on DailyJS.

Updates

Follow the series on DailyJS, @dailyjs, or @alex_young.

Dependencies

You need to install these on your system first:

These are the libraries that the project requires:

This revision of the code has been tested with:

  • Node 0.2.4
  • Mongo 1.4.4 and 1.6.5
  • Mongoose 0.0.4
  • connect-mongodb 0.0.4
  • Express 1.0.0
  • Jade 0.6.0
  • Less 1.0.40

On Mac OS Snow Leopard and Debian Lenny.

Dependency Installation

Make sure you’re running a mongo instance (type mongod if required).

git clone git@github.com:alexyoung/nodepad.git nodepad
cd nodepad
npm install .

node app.js

License (GPL)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see http://www.gnu.org/licenses/.

Something went wrong with that request. Please try again.